Subject: bug#76194: closed (Re: bug#76194: Obsoleting package-x.el)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 12 Feb 2025 16:50:02 +0000

Your bug report

#76194: Obsoleting package-x.el

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76194: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76194
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#76194: Obsoleting package-x.el
From: Stefan Kangas <[email-masked]>
To: Philip Kaludercic <[email-masked]>
Cc: [email-masked], Stefan Monnier <[email-masked]>
Date: Wed, 12 Feb 2025 08:49:08 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 31.1

Stefan Kangas <[email-masked]> writes:

> Philip Kaludercic <[email-masked]> writes:
>
>> Stefan Monnier <[email-masked]> writes:
>>
>>>> I think we should obsolete package-x.el, which contains largely
>>>> unmaintained code to keep an ELPA package archive.  This is undocumented
>>>> since 2019, lacking (e.g. doesn't support signed packages), and is
>>>> hardly used by anyone.  For example, MELPA and GNU ELPA have their own
>>>> scripts for this.
>>>>
>>>> If there is any interest in it, I'd suggest that interested parties
>>>> should pick it up and continue its development on GNU ELPA instead.
>>>
>>> +1
>>
>> +1 from me as well.
>
> Thanks.

Now done.  See commits f7867e68565 and 5d4927192a2.

I'm consequently closing this bug report.

>> Should we move the file to elpa.git?
>
> If you think it's worth the effort then feel free.

Please go ahead with this if you think that it's appropriate.

Subject: Obsoleting package-x.el
From: Stefan Kangas <[email-masked]>
To: [email-masked]
Date: Mon, 10 Feb 2025 22:10:55 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Severity: wishlist

I think we should obsolete package-x.el, which contains largely
unmaintained code to keep an ELPA package archive.  This is undocumented
since 2019, lacking (e.g. doesn't support signed packages), and is
hardly used by anyone.  For example, MELPA and GNU ELPA have their own
scripts for this.

If there is any interest in it, I'd suggest that interested parties
should pick it up and continue its development on GNU ELPA instead.